toolzerhub API Docs

Get popular feed

Returns Reddit's popular feed. Optional sort, time, and filter_posts control results; use after for pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/popular-feed

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

sort?string

Sort order for the feed.

Value in

  • "BEST"
  • "HOT"
  • "NEW"
  • "TOP"
  • "CONTROVERSIAL"
  • "RISING"
time?string

Time window for the feed.

Value in

  • "ALL"
  • "HOUR"
  • "DAY"
  • "WEEK"
  • "MONTH"
  • "YEAR"
filter_posts?string

Optional comma-separated post IDs to filter out of the feed.

after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/popular-feed" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "postsInfoByIds": [      {        "id": "string",        "property1": null,        "property2": null      }    ],    "after": "string",    "property1": null,    "property2": null  }}